mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

This interface is similar to , with the exception that it includes policy-level context. Policy level is needed to resolve references to named permission sets.

Supports the methods that convert permission object state to and from an XML element representation.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Custom code that extends security policy objects needs to implement the and methods to make the objects security-encodable.

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object. The policy-level context to resolve named permission set references.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement ``

  The policy-level context is provided for resolution of named permission set references. For example, code groups use policy level to find named permission sets by name.

  Custom code that extends security policy objects needs to implement the and methods to make the objects security-encodable.

  Creates an XML encoding of the security object and its current state.

  The root element of the XML representation of the policy object.

  The policy-level context to resolve named permission set references.